petsc-3.4.2 2013-07-02

# PetscLayoutSetLocalSize

Sets the local size for a PetscLayout object.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutSetLocalSize"
    PetscErrorCode  PetscLayoutSetLocalSize(PetscLayout map,PetscInt n)

Collective on PetscLayout

### Input Parameters

| map | - pointer to the map
| n | - the local size

### Notes

Call this after the call to PetscLayoutCreate()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages